# Uses of Interface
ch.qos.logback.core.status.StatusManager

Packages that use StatusManager
Package
Description
ch.qos.logback.access
This is logback access' main package.
ch.qos.logback.access.tomcat
This is logback access' implementation for Tomcat.
ch.qos.logback.classic
Contains logback classic main classes.
ch.qos.logback.core
Contains the main classes of logback core.
ch.qos.logback.core.joran.spi
ch.qos.logback.core.spi
Contains core functionnalities of logback, such as
ch.qos.logback.core.status
Contains logback's internal error reporting system.
ch.qos.logback.core.util
Contains various utility classes.

## Uses of StatusManager in ch.qos.logback.access

Methods in ch.qos.logback.access that return StatusManager
Modifier and Type
Method
Description
`protected StatusManager`
ViewStatusMessagesServlet.`getStatusManager(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`

## Uses of StatusManager in ch.qos.logback.access.tomcat

Methods in ch.qos.logback.access.tomcat that return StatusManager
Modifier and Type
Method
Description
`StatusManager`
LogbackValve.`getStatusManager()`

## Uses of StatusManager in ch.qos.logback.classic

Methods in ch.qos.logback.classic that return StatusManager
Modifier and Type
Method
Description
`protected StatusManager`
ViewStatusMessagesServlet.`getStatusManager(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`

## Uses of StatusManager in ch.qos.logback.core

Classes in ch.qos.logback.core that implement StatusManager
Modifier and Type
Class
Description
`class`
`BasicStatusManager`
Methods in ch.qos.logback.core that return StatusManager
Modifier and Type
Method
Description
`StatusManager`
Context.`getStatusManager()`
Return the StatusManager instance in use.
`StatusManager`
ContextBase.`getStatusManager()`
Methods in ch.qos.logback.core with parameters of type StatusManager
Modifier and Type
Method
Description
`void`
ContextBase.`setStatusManager(StatusManager statusManager)`
Set the `StatusManager` for this context.

## Uses of StatusManager in ch.qos.logback.core.joran.spi

Methods in ch.qos.logback.core.joran.spi with parameters of type StatusManager
Modifier and Type
Method
Description
`static int`
XMLUtil.`checkIfWellFormed(URL url, StatusManager sm)`

## Uses of StatusManager in ch.qos.logback.core.spi

Methods in ch.qos.logback.core.spi that return StatusManager
Modifier and Type
Method
Description
`StatusManager`
ContextAwareBase.`getStatusManager()`
`StatusManager`
ContextAwareImpl.`getStatusManager()`

## Uses of StatusManager in ch.qos.logback.core.status

Methods in ch.qos.logback.core.status that return StatusManager
Modifier and Type
Method
Description
`protected abstract StatusManager`
ViewStatusMessagesServletBase.`getStatusManager(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
Methods in ch.qos.logback.core.status with parameters of type StatusManager
Modifier and Type
Method
Description
`void`
ViewStatusMessagesServletBase.`printList(StringBuilder buf, StatusManager sm)`
Constructors in ch.qos.logback.core.status with parameters of type StatusManager
Modifier
Constructor
Description
``
`StatusUtil(StatusManager sm)`

## Uses of StatusManager in ch.qos.logback.core.util

Methods in ch.qos.logback.core.util with parameters of type StatusManager
Modifier and Type
Method
Description
`static void`
StatusPrinter.`print(StatusManager sm)`
`static void`
StatusPrinter.`print(StatusManager sm, long threshold)`